コンテンツへスキップ

Kling Image · v3 · Image to Image

統合

モデルID kling-image/v3/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/v3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.028 28 APIクレジット このページで実行

APIキーを取得
Kling 画像編集 参照入力2Kまで #image-to-image

単一の参照画像を1Kまたは2Kでスタイル変換し、最大9出力に対応するv3 image-to-image

Kling · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2500

2500文字以内の画像生成用プロンプト。

•必須 image_url
ファイルをドロップ、または

画像間生成の入力として使用する参照画像。ファイルサイズは10.0MB以内で、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。タイムアウトは20.0sです。

resolution デフォルト 1K

出力画像の解像度。標準解像度は1K、高解像度は2Kです。

aspect_ratio デフォルト 16:9

生成画像の幅と高さの比率。

num_images デフォルト 1

出力画像の数(1~9)。

詳細設定 output_format · enable_safety_checker · elements
output_format デフォルト png

結果の画像のファイル形式。

画像に登場させるキャラクターやオブジェクトを指定する要素を使った、任意の顔制御。

POST /run/kling-image/v3/image-to-image?wait=20 見積もり → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-image/v3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling Image · v3 · Image to Imageについて

テキストプロンプトに従い、1枚の参照画像(`image_url`)を編集または再構成します。画像は各辺300px以上、アスペクト比0.40~2.50、容量10MB以下である必要があります。`resolution`は1Kまたは2K、`num_images`は1~9、`elements`で顔を制御できます。出力形式はjpeg、png、webpです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 2,500文字
2500文字以内の画像生成用プロンプト。
image_url必須 image
型url · image
画像間生成の入力として使用する参照画像。ファイルサイズは10.0MB以内で、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。タイムアウトは20.0sです。
elements任意
型object[]
画像に登場させるキャラクターやオブジェクトを指定する要素を使った、任意の顔制御。
elements[].frontal_image_url任意
型url · image
要素の主な視点を示す任意の正面画像。ファイルサイズは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
elements[].reference_image_urls任意
型url[] · image
別の角度を示す追加画像(0~3枚)の任意のセット。各ファイルは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
resolution任意
型enum
デフォルト1K
1K2K
出力画像の解像度。標準解像度は1K、高解像度は2Kです。
num_images任意 num_outputs
型integer
デフォルト1
1 – 9
出力画像の数(1~9)。
aspect_ratio任意
型enum
デフォルト16:9
16:99:161:14:33:43:22:321:9
生成画像の幅と高さの比率。
output_format任意
型enum
デフォルトpng
jpegpngwebp
結果の画像のファイル形式。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/v3/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-image/v3/image-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt